markdown-it-br

1.0.0 • Public • Published

markdown-it-br

Build Status NPM version Coverage Status

BR plugin for markdown-it markdown parser.

v1.+ requires markdown-it v4.+, see changelog.

protect <br> <script> => protect <br>

Install

node.js, browser:

npm install markdown-it-br --save
bower install markdown-it-br --save

Use

var md = require('markdown-it')()
            .use(require('markdown-it-br'));
 
md.render('protect <br>') // => 'protect <br>'
 

The widgetparams can be used to determine what kind of html widget should be rendered in the output container.

Differences in browser. If you load script directly into the page, without package system, module will add itself globally as window.markdownitBr.

License

MIT

Package Sidebar

Install

npm i markdown-it-br

Weekly Downloads

814

Version

1.0.0

License

MIT

Last publish

Collaborators

  • jay-hodgson
  • xschildwachter
  • agendel
  • nickgros
  • roccbot